View Issue Details

IDProjectCategoryView StatusLast Update
0003047Ham Radio DeluxeEnhancementpublic2019-01-16 22:04
ReporterK7ZCZAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.166 
Target VersionFixed in Version6.5.0.183 
Summary0003047: move "Test" feature of Logbook's Callsign Lookup config to its own property page
DescriptionThe "test" command of the callsign lookup feature is presented on a crowded property page with many other unrelated controls. It performs the configured lookups and then shows the user the raw XML output it develops. This design doesn't show much care for the user experience. We should move the test feature to its own property page to improve clarity and reduce clutter. Once on its own page, it has plenty of room to include controls that clearly show the user the results of the test they've performed. The XML output can still be made available on demand.

Steps To Reproduce1) Start up the logbook. Don't need any particular database
2) Click on the "Tools" menu to reveal the "Configure" tear-off menu
3) In the "Configure" tear off, choose the "Callsign Lookup" command
4) In the resulting "Callsign Lookup" dialog, activate the "Lookup Options" tab
6) Try to find the controls related to testing the Callsign Lookup feature

BUG#1) The related controls are poorly labled and hard to find amidst other clutter. There's an empty "Test" group box that contains no other controls.

7) Press the "Test" button

BUG#2) A copy of your default plain-text editor pops up (maybe Notepad?) and shows raw XML.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

related to 0003001 acknowledgedWA9PIE 3 - Current Dev List Callsign lookup function does not appear to be working as designed 
related to 0003050 closedK7ZCZ Ham Radio Deluxe Incomplete message in Callsign Lookup options beta v6.5.0.168 
related to 0003064 closedK7ZCZ 4 - Closed w/o Action Relocate the new "Test" tab to the far right in the Callsign Lookup configuration dialog box 
related to 0003065 feedbackWA9PIE 3 - Current Dev List Add all fields to the Callsign Lookup function's Test tab 

Activities

K7ZCZ

2019-01-11 11:41

manager   ~0006963



Fixed with this checkin. The Test controls are moved to their own tab. On that tab, a list control which shows the status and some results from each selected data source are provided. A "Logfile" button is provided to open a copy of the raw output.

https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4693

K7ZCZ

2019-01-11 14:44

manager   ~0006967

Oops! The previous checkin didn't have all the needed files. This gets the rest of them:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4693

g3ucq

2019-01-13 15:42

viewer   ~0006988

Looks good to me.

WA9PIE

2019-01-13 15:46

administrator   ~0006989

Validated

Issue History

Date Modified Username Field Change
2019-01-07 11:17 K7ZCZ New Issue
2019-01-07 11:19 K7ZCZ Relationship added related to 0003001
2019-01-08 12:01 K7ZCZ Relationship added related to 0003050
2019-01-11 11:41 K7ZCZ Assigned To => K7ZCZ
2019-01-11 11:41 K7ZCZ Status new => resolved
2019-01-11 11:41 K7ZCZ Resolution open => fixed
2019-01-11 11:41 K7ZCZ Note Added: 0006963
2019-01-11 14:44 K7ZCZ Note Added: 0006967
2019-01-13 14:21 WA9PIE Fixed in Version => 6.5.0.180
2019-01-13 15:38 WA9PIE Relationship added related to 0003064
2019-01-13 15:42 g3ucq Note Added: 0006988
2019-01-13 15:46 WA9PIE Relationship added related to 0003065
2019-01-13 15:46 WA9PIE Status resolved => closed
2019-01-13 15:46 WA9PIE Testing Not Started => Beta Successful
2019-01-13 15:46 WA9PIE Note Added: 0006989
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.180 => 6.5.0.183
2019-01-16 22:04 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe